Package org.apache.maven.shared.artifact.filter

## Class PatternExcludesArtifactFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.PatternIncludesArtifactFilter
  - - org.apache.maven.shared.artifact.filter.PatternExcludesArtifactFilter

All Implemented Interfaces:
  `org.apache.maven.artifact.resolver.filter.ArtifactFilter`, `StatisticsReportingArtifactFilter`

    public class PatternExcludesArtifactFilter
    extends PatternIncludesArtifactFilter

TODO: include in maven-artifact in future

Author:
  Brett Porter
See Also:
  `StrictPatternExcludesArtifactFilter`

### Constructor Summary

Constructors
`PatternExcludesArtifactFilter​(java.util.Collection<java.lang.String> patterns)`
`PatternExcludesArtifactFilter​(java.util.Collection<java.lang.String> patterns, boolean actTransitively)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getFilterDescription()`
`boolean` `include​(org.apache.maven.artifact.Artifact artifact)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.maven.shared.artifact.filter.PatternIncludesArtifactFilter

`addFilteredArtifactId, getPatternsAsString, hasMissedCriteria, patternMatches, positiveMatch, reportFilteredArtifacts, reportMissedCriteria`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PatternExcludesArtifactFilter

    public PatternExcludesArtifactFilter​(java.util.Collection<java.lang.String> patterns)

Parameters:
  `patterns` - The pattern to be used.

#### PatternExcludesArtifactFilter

    public PatternExcludesArtifactFilter​(java.util.Collection<java.lang.String> patterns,
                                         boolean actTransitively)

Parameters:
  `patterns` - The pattern which will be used.
  `actTransitively` - yes/no.

### Method Detail

#### include

    public boolean include​(org.apache.maven.artifact.Artifact artifact)

Specified by:
  `include` in interface `org.apache.maven.artifact.resolver.filter.ArtifactFilter`
Overrides:
  `include` in class `PatternIncludesArtifactFilter`

#### getFilterDescription

    protected java.lang.String getFilterDescription()

Overrides:
  `getFilterDescription` in class `PatternIncludesArtifactFilter`
Returns:
  description.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PatternIncludesArtifactFilter`